function grid_snap_floor(a)
  return math.floor(a / spacing) * spacing
end

local box = GetEntityByName("Box")
--local text_template = GetEntityByName("text_template")
local active_map = GetMapManager:GetActiveMap()

function draw_map(startx, starty, old_startx, old_starty, width, height)
  for i = startx, startx + width - spacing, spacing do
    for j = starty, starty + height - spacing, spacing do
      if (i < old_startx or i > old_startx + width - spacing or
          j < old_starty or j > old_starty + height - spacing) and
          ((not eaten) or (not eaten[i]) or not (eaten[i][j])) then
        box:Clone(active_map, Vector2(i, j)):SetName("")
        --text = text_template:Clone(active_map, Vector2(i, j + spacing / 2))
        --text:SetText(i .. "," .. j)
        --text:SetTextScale(Vector2(0.4, 0.4))
      end
    end
  end
end
